# VectorNav C++ Library: vn::xplat::Signal::Observer Class Reference

vn::xplat::Signal::Observer Class Referenceabstract

Allows for other objects to listen for signal events. More...

`#include <signal.h>`

## Public Member Functions

virtual bool | XSignalHandleSingle (SignalType signal)=0
| If an observer is registered via RegisterSignalObserver, whenever a signal is received, this method will be called to alert the observer. More...

## Detailed Description

Allows for other objects to listen for signal events.

## Member Function Documentation

virtual bool vn::xplat::Signal::Observer::XSignalHandleSingle | ( | SignalType | signal | ) |

pure virtual

If an observer is registered via RegisterSignalObserver, whenever a signal is received, this method will be called to alert the observer.

Parameters

  [in] | signal | The signal that was raised.

Returns
  Indicates if the signal was handled or not.

The documentation for this class was generated from the following file:

- include/vn/signal.h